## ros-lunar-amcl 1.15.2

=== debian/changelog ===
ros-lunar-amcl (1.15.2-0xenial) xenial; urgency=high

  * Fix minor typo (#682 <https://github.com/ros-planning/navigation/issues/682>)
    This typo caused some confusion because we were searching for a semicolon in our configuration.
  * Merge pull request #677 <https://github.com/ros-planning/navigation/issues/677> from ros-planning/lunar_634
    removing recomputation of cluster stats causing assertion error (#634 <https://github.com/ros-planning/navigation/issues/634>)
  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Remove Dead Code [Lunar] (#646 <https://github.com/ros-planning/navigation/issues/646>)
    * Clean up navfn
    * Cleanup amcl
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, David V. Lu!!, Michael Ferguson, stevemacenski

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Mar 2018 07:00:00 -0000

ros-lunar-amcl (1.15.1-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 07:00:00 -0000

ros-lunar-amcl (1.15.0-0xenial) xenial; urgency=high

  * Reference Issue #592 <https://github.com/ros-planning/navigation/issues/592> Added warning to AMCL when map is published on ... (#604 <https://github.com/ros-planning/navigation/issues/604>)
  * rebase fixups
  * convert packages to format2
  * recompute cluster stat when force_publication
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * amcl: fix compilation with gcc v7
  * Added deps to amcl costmap_2d move_base (#512 <https://github.com/ros-planning/navigation/issues/512>)
  * fix order of parameters (closes #553 <https://github.com/ros-planning/navigation/issues/553>)
  * Fix potential string overflow and resource leak
  * Contributors: Dmitry Rozhkov, Laurent GEORGE, Martin Günther, Michael Ferguson, Mikael Arguedas, Peter Harliman Liem, mryellow, vik748

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 07:00:00 -0000

ros-lunar-amcl (1.14.0-0xenial) xenial; urgency=high

  * Allow AMCL to run from bag file to allow very fast testing.
  * Fixes interpretation of a delayed initialpose message (see #424 <https://github.com/ros-planning/navigation/issues/424>).
    The tf lookup as it was before this change was very likely to fail as
    ros::Time::now() was used to look up a tf without waiting on the tf's
    availability. Additionally, the computation of the "new pose" by
    multiplying the delta that the robot moved from the initialpose's
    timestamp to ros::Time::now() was wrong. That delta has to by multiplied
    from the right to the "old pose".
    This commit also changes the reference frame to look up this delta to be
    the odom frame as this one is supposed to be smooth and therefore the
    best reference to get relative robot motion in the robot (base link) frame.
  * New unit test for proper interpretation of a delayed initialpose message.
    Modifies the set_pose.py script to be able to send an initial pose with
    a user defined time stamp at a user defined time. Adds a rostest to
    exercise this new option.
    This reveals the issues mentioned in #424 <https://github.com/ros-planning/navigation/issues/424> (the new test fails).
  * Contributors: Derek King, Stephan Wirth

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 07:00:00 -0000

ros-lunar-amcl (1.13.1-0xenial) xenial; urgency=high

  * adds the set_map service to amcl
  * fix pthread_mutex_lock on shutdown
  * Contributors: Michael Ferguson, Stephan Wirth

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 07:00:00 -0000

ros-lunar-amcl (1.13.0-0xenial) xenial; urgency=high

  * amcl_node will now save latest pose on shutdown
  * Contributors: Ian Danforth

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 07:00:00 -0000

ros-lunar-amcl (1.12.0-0xenial) xenial; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 08:00:00 -0000

ros-lunar-amcl (1.11.15-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 08:00:00 -0000

ros-lunar-amcl (1.11.14-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 08:00:00 -0000

ros-lunar-amcl (1.11.13-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 07:00:00 -0000

ros-lunar-amcl (1.11.12-0xenial) xenial; urgency=high

  * Bug fix to remove particle weights being reset when motion model is updated
  * Integrated new sensor model which calculates the observation likelihood in a probabilistic manner
    Also includes the option to do beam-skipping (to better handle observations from dynamic obstacles)
  * Pose pulled from parameter server when new map received
  * Contributors: Steven Kordell, hes3pal

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 07:00:00 -0000

ros-lunar-amcl (1.11.11-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 07:00:00 -0000

ros-lunar-amcl (1.11.10-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 07:00:00 -0000

ros-lunar-amcl (1.11.9-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 07:00:00 -0000

ros-lunar-amcl (1.11.8-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 07:00:00 -0000

ros-lunar-amcl (1.11.7-0xenial) xenial; urgency=high

  * removes useless this->z_max = z_max assignment
  * Fix warning string.
  * Contributors: Jeremiah Via, enriquefernandez

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 07:00:00 -0000

ros-lunar-amcl (1.11.5-0xenial) xenial; urgency=high

  * Fix for #160 <https://github.com/ros-planning/navigation/issues/160>

